> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EntityLists

> Get a filtered list of EntityLists for a specific tenant.



## OpenAPI

````yaml /openapi/openapi_entities.json get /platform/entitylists
openapi: 3.0.1
info:
  description: |-
    <div id="overview_ENTITIES">
                <h2>ENTITIES</h2>
                <p>Entities are JSON entries within the Kibo database for handling large data sets to heavily filter (>2,000
                    items). Each entity is associated to an EntityList with schema, rules, and formatting for storing the
                    content. This content can be accessed via the API and Hypr tags.</p>
                <p>The <strong>Entity Lists</strong> resource manages all dynamic entities in your Kibo eCommerce document store of the
                    cloud. The content is JSON and can have up to five indexed properties (integer, decimal, string, date,
                    and boolean) with support for additional customized elements as needed. Every document in the entity
                    list has a validated unique ID. A Content property is not supported for Entity List. Instead, the
                    MetaData JSON property should be used to supply content when needed. Otherwise, to populate an Entity
                    List the user should create an entity and then add that resource to the list using the InsertEntity
                    operation.</p>
                <p>The <strong>Entity Containers</strong> resource provides all properties and data for entities within a site/tenant. This
                    data encapsulates all associated IDs including entity lists, entity views, site, tenant, entities, and
                    more.</p>
                <p>The <strong>List Views</strong> resource provides settings and options for displaying associated content within a context
                    level of site, tenant, catalog, or master catalog. ListViews can be associated with entity lists and
                    entities.</p>
            </div>
  title: Entities
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/entitylists:
    get:
      tags:
        - EntityLists
      summary: Get EntityLists
      description: Get a filtered list of EntityLists for a specific tenant.
      parameters:
        - description: ''
          in: query
          name: pageSize
          schema:
            default: 10
            format: int32
            type: integer
        - description: ''
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: ''
          in: query
          name: filter
          schema:
            type: string
        - description: ''
          in: query
          name: sortBy
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityListCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/EntityListCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/EntityListCollection'
          description: OK
components:
  schemas:
    EntityListCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EntityList'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    EntityList:
      description: >-
        The definition of an MZDB EntityList which describes the characteristics
        of the EntityList on a per tenant basis. EntityLists are created at the
        tenant level, but instances of the EntityLists are implicitly created at
        the appropriate context level as entities are added or removed from the
        EntityList.
      properties:
        contextLevel:
          description: >-
            At which context level are entities stored in the list. Possible
            values are "tenant", "site", "masterCatalog" or "catalog".  Each
            list instance will exist at this context level for the tenant.
          nullable: true
          type: string
        createDate:
          format: date-time
          type: string
        idProperty:
          $ref: '#/components/schemas/IndexedProperty'
        indexA:
          $ref: '#/components/schemas/IndexedProperty'
        indexB:
          $ref: '#/components/schemas/IndexedProperty'
        indexC:
          $ref: '#/components/schemas/IndexedProperty'
        indexD:
          $ref: '#/components/schemas/IndexedProperty'
        isLocaleSpecific:
          description: >-
            Indicates whether MZDB should store entities in the EntityList
            instance specific to the localeCode provided.  If true, all
            operations on the EntityList will be filtered by the provided
            localeCode on the request or using the defautLocaleCode for the
            context.  All entities created in the EntityList will be stored with
            the localeCode provided on the request or the defautLocaleCode for
            the context as an additional implicit key. The default value is
            false.
          type: boolean
        isSandboxDataCloningSupported:
          description: >-
            Indicates whether MZDB should clone all of the Entities in the
            EntityList when cloning an existing sandbox for which this list is
            already defined.  The default value is false.
          type: boolean
        isShopperSpecific:
          description: >-
            Indicates whether MZDB should store entities in the EntityList
            instance specific to the current shopper on the request.  If true,
            all operations on the EntityList will be filtered by the id of the
            shopper from the shopper claims provided on the request.  All
            entities created in the EntityList will be stored with the id of the
            shopper from the shopper claims provided on the request as an
            additional implicit key. The default value is false.
          type: boolean
        isVisibleInStorefront:
          description: >-
            Indicates whether Enitities in the EntityList are allowed to be
            accessed from a Mozu storefront.
          type: boolean
        metadata:
          description: >-
            An arbitrary json property to be used by external applications for
            any purpose. MZDB will persist and retrieve the metadata without any
            restrictions.
          nullable: true
          type: object
        name:
          description: >-
            The name for the EntityList which must be unique within the
            namespace provided.  The name and namespace are formatted as
            name@nameSpace when specified as fullName. An EntityLists fullName
            must be unique within the tenant in which it is created.
          nullable: true
          type: string
        nameSpace:
          description: >-
            The nameSpace for the EntityList which must be within the nameSpace
            scope of the developer Account for the creating application.  The
            name and namespace are formatted as name@nameSpace when specified as
            fullName. An EntityLists fullName must be unique within the tenant
            in which it is created.
          nullable: true
          type: string
        tenantId:
          format: int32
          type: integer
        updateDate:
          format: date-time
          type: string
        usages:
          description: >-
            Usages are arbitratry sting values used to provide instructions for
            other applications as to the intended areas where the list should be
            used. Mozu uses the "admin" usage valued to indicate that an
            EntityList should appear in the EntityManager in the Admin UI.  The
            values are open ended and applications may provide any value for a
            usage. This field can be used in queries to the EntityList.
          items:
            type: string
          nullable: true
          type: array
        useSystemAssignedId:
          description: >-
            Indicates whether or not Mozu should assign a generated identifier
            for each entity in the list or whether a unique identifier will be
            provided for each identity. If set to false, then a value must be
            provided for the IdProperty for the list.
          type: boolean
        views:
          description: >-
            The ListViews defined for this EntityList.  ListViews may be used to
            automatically filter an EntityList or transform the Entities in the
            list to a new Schema.
          items:
            $ref: '#/components/schemas/ListView'
          nullable: true
          type: array
      type: object
    IndexedProperty:
      properties:
        dataType:
          description: >-
            The datatype of the property. Valid values are "string", "integer",
            "decimal", "date", "bool". See SharedConstants.DataTypeConst
          nullable: true
          type: string
        propertyName:
          description: >-
            A JPath query indicating the property that should be indexed to
            enable querying and sorting.  Non-indexed properties may be used in
            queries as long as at least one indexed property is also provided in
            the query.
          nullable: true
          type: string
      type: object
    ListView:
      properties:
        defaultSort:
          description: Indicates a default sort to be applied to the ListView.
          nullable: true
          type: string
        fields:
          description: >-
            The list of ViewFields for this view. ViewFields can be used to
            filter or transform the underlying Entity to provide an optimized
            format for applications which query the ListView.  If no ViewFields
            are specified, entities will be returned for the View with no
            transform applied.
          items:
            $ref: '#/components/schemas/ListViewField'
          nullable: true
          type: array
        filter:
          description: >-
            Indicates a implicitly applied filter to the EntityList for to which
            the ListView is associated. All queries to the ListView will have
            this filter applied implicitly.
          nullable: true
          type: string
        metaData:
          description: >-
            An arbitrary json property to be used by external applications for
            any purpose. MZDB will persist and retrieve the metadata without any
            restrictions.
          nullable: true
          type: object
        name:
          description: The name of the ListView. This must be unique for the EntityList.
          nullable: true
          type: string
        security:
          description: >-
            less restrictive than collection/list security. public | admin |
            owner
          nullable: true
          type: string
        usages:
          description: >-
            Usages are arbitratry sting values used to provide instructions for
            other applications as to the intended areas where the view should be
            used. Mozu uses the "admin" usage valued to indicate that a ListView
            should appear in the EntityManager in the Admin UI.  The values are
            open ended and applications may provide any value for a usage. This
            field can be used in queries to the EntityList.
          items:
            type: string
          nullable: true
          type: array
      type: object
    ListViewField:
      description: shared by cms/mzdb.
      properties:
        name:
          description: The name of the field in the view.
          nullable: true
          type: string
        target:
          description: A JPath query to the source property for this ViewField.
          nullable: true
          type: string
        type:
          description: >-
            The datatype of the field. Valid values are "string", "integer",
            "decimal", "date", "bool". See SharedConstants.DataTypeConst
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````